Bug 214081 - [SECURITY] Searches '.' for .la files
[SECURITY] Searches '.' for .la files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libtool (Show other bugs)
6
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Karsten Hopp
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-05 10:40 EST by Enrico Scholz
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-23 11:36:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2006-11-05 10:40:12 EST
[This bug is similar but NOT identical to bug #209930 (which was caused by a
misconfiguration of the buildsystem)]

Description of problem:

Applications which are using libltdl are searching '.' for .la files. This can
used by an attacker to execute arbitrary code.

The 'victim.c' example from bug #209930 shows:

| # strace victim
| open("foo.la", O_RDONLY)                = -1 ENOENT (No such file or directory)


Version-Release number of selected component (if applicable):

libtool-ltdl-1.5.22-6.1.i386.rpm
Comment 1 Karsten Hopp 2007-01-23 11:36:05 EST
I've disabled this 'feature' in Rawhide

Note You need to log in before you can comment on or make changes to this bug.